Delete role
- DELETE /platform/infrastructure/blueprinter/roles/{blueprinter_role_id}
Delete a role.
Path Parameters
-
blueprinter_role_idstringrequired -
User-specified Blueprinter role ID.
Query Parameters
-
skip_validationsboolean · default: false When sent as true, ignores validation errors.
-
versioninteger When specified, checks for conflicts against the version stored in the persistent store (returned in 'x-cloud-resource-version' of the GET request)
Responses
The role was successfully deleted.
Response Type: EmptyResponse
The role is currently running container sets. (code: roles.in_use)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The role can't be found. (code: roles.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
Your request failed because the specified version does not match the persisted version. (code: roles.version_conflict)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response